Class MemberItemRequestBuilder
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\organizations{org-id}\members{member-id}
public class MemberItemRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderMemberItemRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
MemberItemRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new MemberItemRequestBuilder and sets the default values.
public MemberItemRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
MemberItemRequestBuilder(string, IRequestAdapter)
Instantiates a new MemberItemRequestBuilder and sets the default values.
public MemberItemRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Properties
Organizations
The organizations property
public OrganizationsRequestBuilder Organizations { get; }
Property Value
Methods
DeleteAsync(Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Breaks the association between the user and organization. The user itself is deleted in case the membership is managed, otherwise the user is not deleted. If no user is found, or if they are not a member of the organization, an error response is returned
public Task DeleteAsync(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Searches for auser with the given id. If one is found, and is currently a member of the organization, returns it. Otherwise,an error response with status NOT_FOUND is returned
public Task<MemberRepresentation?> GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
ToDeleteRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>?)
Breaks the association between the user and organization. The user itself is deleted in case the membership is managed, otherwise the user is not deleted. If no user is found, or if they are not a member of the organization, an error response is returned
public RequestInformation ToDeleteRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>?)
Searches for auser with the given id. If one is found, and is currently a member of the organization, returns it. Otherwise,an error response with status NOT_FOUND is returned
public RequestInformation ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
WithUrl(string)
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
public MemberItemRequestBuilder WithUrl(string rawUrl)
Parameters
rawUrlstringThe raw URL to use for the request builder.